Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058145

Summary: fail to create VPC file format disk with large size using qemu-img
Product: Red Hat Enterprise Linux 7 Reporter: Sibiao Luo <sluo>
Component: qemu-kvmAssignee: Jeff Cody <jcody>
Status: CLOSED WONTFIX QA Contact: Virtualization Bugs <virt-bugs>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.0CC: bsarathy, chayang, jcody, juzhang, knoel, kwolf, michen, mkenneth, qzhang, rbalakri, virt-maint, xfu
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 999763 Environment:
Last Closed: 2015-01-27 20:05:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 999763    
Bug Blocks:    

Comment 1 Sibiao Luo 2014-01-27 05:26:46 UTC
Host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-79.el7.x86_64
qemu-kvm-rhev-1.5.3-39.el7.x86_64

# qemu-img create -f vpc sluo-data-disk.vpc 2031G
Formatting 'sluo-data-disk.vpc', fmt=vpc size=2180769644544 
# qemu-img create -f vpc sluo-data-disk.vpc 2032G
Formatting 'sluo-data-disk.vpc', fmt=vpc size=2181843386368 

# qemu-img create -f vpc sluo-data-disk.vpc 2033G
Formatting 'sluo-data-disk.vpc', fmt=vpc size=2182917128192 
qemu-img: sluo-data-disk.vpc: The image size is too large for file format 'vpc'
# qemu-img create -f vpc sluo-data-disk.vpc 2034G
Formatting 'sluo-data-disk.vpc', fmt=vpc size=2183990870016 
qemu-img: sluo-data-disk.vpc: The image size is too large for file format 'vpc'

Comment 3 Jeff Cody 2014-07-22 19:54:57 UTC
VHD/VPC (_not_ VHDX) maximum file size is 2040GB.  qemu-img seems to work only up to 2032GB in image creation.  However, for larger disks for Hyper-V (VirtualPC itself only supports 127GB images), the VHDX format would almost certainly be used anyway.